#ifndef win32_H
#define win32_H

#include <windows.h>
#include "mahjong.h"

#define rectangle_to_RECT(r, rect) {		\
  (rect)->left   = (r)->x;			\
  (rect)->top    = (r)->y;			\
  (rect)->right  = (r)->x + (r)->width;		\
  (rect)->bottom = (r)->y + (r)->height;	\
}

extern HWND main_window;
extern HBITMAP offscreen_handle;
extern HDC offscreen_dc;
extern HBRUSH background_brush;

extern rectangle_t *highlight;
extern rectangle_t *screening;
extern rectangle_t *selection;

extern const unsigned colormap[256];

extern void show_modal_dialog(void (*paint_content)(HDC dc));

#endif /* win32_H */